Subject: bug#20493: 25.0.50; next-error in change-log-mode can hide its buffer

From: Ted Zlatanov <[email-masked]>
Date: Mon, 04 May 2015 18:18:11 -0400

On Sun, 03 May 2015 17:04:00 +0300 Dmitry Gutov <[email-masked]> wrote: 

DG> next-error-function in *compile* or *grep* works in a certain way:
DG> - It doesn't open the locations when the *compile* buffer is selected,
DG>   it just jumps between them in that buffer.

DG> - When *compile* is visible but displayed a different window, pressing
DG>   C-x ` will never display the "next error" on top of *compile*. So the
DG>   latter always stays visible.

DG> Neither is true of change-log-next-error.

DG> I think we need more consistency in this.

Is the question whether `next-error' should jump to files directly like
a bookmark or jump between navigation bookmarks that then have to be
explicitly activated with RET or something else?

I always prefer the latter, personally.

Ted